#include <stdio.h>

int main(void) {
    int n;

    do {
        printf("Input positive integer: ");
        scanf("%d", &n);
        if (n <= 0) {
            puts("\aPlease input non-negative, non-zero integer.");
        }
    } while (n <= 0);

    int d = 0;
    int x = n;
    while (x > 0) {
        x /= 10;
        d++;
    }

    printf("%d is %d digit number.\n", n, d);

    return 0;
}
